Arch Armatura dritta

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar Straight and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch CompRebarStraight.png Armature Pagina precedente:
Pagina successiva: Armatura ad U Arch Rebar UShape.png Arrow-right.svg

Arch Rebar Straight.svg Armatura dritta

Posizione nel menu
Arch → Rebar tools → Armatura dritta
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Armatura ad U, Armature


Lo strumento Armatura dritta consente all'utente di creare un set di staffe d'armatura all'interno di un oggetto Struttura.

Questo comando fa parte del addon Reinforcement, che si può installare con Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar Straight example.png

Due serie di barre di rinforzo diritte all'interno di una Struttura


Utilizzo

  1. Selezionare una qualsiasi faccia dell'oggetto Arch Structure.svg Struttura creato in precedenza.
  2. Quindi selezionare Arch Rebar Straight.svg Armatura dritta dagli strumenti armatura.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come quello sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per front cover, right side cover, left side cover, bottom cover e diameter of the rebar.
  6. Select the mode of distribution either amount or spacing.
  7. Selezionare la modalità di distribuzione per la quantità o per la spaziatura.
  8. Se è selezionata la spaziatura, l'utente può anche optare per una spaziatura personalizzata.
  9. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  10. Cliccare OK o Apply per generare l'armatura.
  11. Cliccare Cancel per uscire dal pannello delle azioni.

StraightRebarDialog.png

Pannello Azioni per lo strumento Armatura dritta di Arch


Proprietà

  • DATIOrientation: Decide l'orientamento dell'armatura (es. in basso, in alto, a destra e a sinistra).
  • DATIFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DATIRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DATILeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DATIBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DATITop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DATIRounding: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
  • DATIAmount: La quantità di barre.
  • DATISpacing: La distanza tra gli assi di ogni barra.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Armatura dritta può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

Rebar = makeStraightRebar(f_cover, coverAlong, rt_cover, lb_cover,
                          diameter, amount_spacing_check, amount_spacing_value, orientation="Horizontal",
                          structure=None, facename=None)
  • Crea un oggetto Rebar dalla structure data, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente.
  • f_cover, coverAlong, rt_cover, e lb_cover sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura.
    • f_cover è l'offset del copriferro frontale.
    • coverAlong è una tupla (position, value) che definisce il valore di offset in una posizione (top, bottom, left, right) che dipende da orientation.
    • rt_cover è l'offset del copriferro destro o superiore, a seconda del valore di coverAlong e orientation.
    • lb_cover è l'offset del copriferro sinistro o inferiore, a seconda del valore di coverAlong e orientation.
  • diameter è il diametro delle barre di rinforzo all'interno della struttura.
  • Se amount_spacing_check è True crea tante barre di rinforzo quante sono definite da amount_spacing_value; se è False crea le barre di rinforzo separate dal valore numerico indicato in amount_spacing_value.
  • amount_spacing_value specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicate in amount_spacing_check.
  • orientation specifica l'orientamento della barra d'armatura; può essere "Horizontal" o "Vertical".

A seconda dell'orientamento della barra di armatura, la funzione può essere chiamata in due modi generali impostando coverAlong in modo appropriato.

La barra è orizzontale

Rebar = makeStraightRebar(f_cover, ("Top Side", value), right_cover, left_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Bottom Side", value), right_cover, left_cover, ...)
  • coverAlong è una tupla con un value di offset "Top Side" o "Bottom Side".
  • In questo caso rt_cover si riferisce all'offset right_cover, e lb_cover si riferisce all'offset left_cover.

La barra è verticale

Rebar = makeStraightRebar(f_cover, ("Left Side", value), top_cover, bottom_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Right Side", value), top_cover, bottom_cover, ...)
  • coverAlong è una tupla con un value di offset "Left Side" o "Right Side".
  • In questo caso rt_cover si riferisce all'offset top_cover, e lb_cover si riferisce all'offset bottom_cover.

Esempio orizzontale

import Arch, Draft, StraightRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = StraightRebar.makeStraightRebar(50, ("Bottom Side", 20), 100, 100,
                                        12, True, 5, "Horizontal", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = StraightRebar.makeStraightRebar(50, ("Bottom Side", 50), 100, 100,
                                         12, True, 5, "Horizontal", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Esempio vericale

import Arch, Draft, StraightRebar

Structure2 = Arch.makeStructure(length=1000, width=1000, height=400)
Structure2.ViewObject.Transparency = 80
Draft.move(Structure2, FreeCAD.Vector(1500, 0, 0))
FreeCAD.ActiveDocument.recompute()

Rebar3 = StraightRebar.makeStraightRebar(50, ("Left Side", 20), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face4")
Rebar3.ViewObject.ShapeColor = (0.9, 0.5, 0.0)

Rebar4 = StraightRebar.makeStraightRebar(50, ("Left Side", 50), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face6")
Rebar4.ViewObject.ShapeColor = (0.0, 0.5, 0.5)

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editStraightRebar(Rebar, f_cover, coverAlong, rt_cover, lb_cover,
                  diameter, amount_spacing_check, amount_spacing_value, orientation,
                  structure=None, facename=None)
  • Rebar è l'oggetto StraightRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeStraightRebar().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.

Esempio:

import StraightRebar

StraightRebar.editStraightRebar(Rebar, 50, ("Top Side", 20), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar2, 50, ("Top Side", 50), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar3, 50, ("Right Side", 20), 100, 100,
                                24, True, 7, "Vertical")

StraightRebar.editStraightRebar(Rebar4, 50, ("Right Side", 50), 100, 100,
                                24, True, 7, "Vertical")
Arrow-left.svg Arch CompRebarStraight.png Armature Pagina precedente:
Pagina successiva: Armatura ad U Arch Rebar UShape.png Arrow-right.svg